Severity: High % Done: 10%
Assignee:
Target version:

Version: 1.3.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

If there is a single-character translation in Community Resources Pack, the game will get stuck and not respond (sometimes loading
forever) when loading bundle definition. This should be because of some game's weird setting. Because the game won't crash, there
is no crash log for this issue.

History

#1 - 11/09/2017 08:53 AM - EthanWang706

A simple example is [, it means water in Chinese, but if you have it in CRP Chinese localization, the game will loading forever.

#2 - 11/09/2017 10:12 AM - EthanWang706
- Severity changed from Normal to High

#3 - 11/13/2017 10:41 AM - Squelch

- Status changed from New to Need More Info

Could you please attach your log files after an attempted start of the game? A crash report is not produced, but KSP.log and output_log.txt will contain
important information. Information on where these files can be found is in our wiki

#4 - 11/14/2017 01:46 PM - EthanWang706

- File KSP.log added

- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

Here is where it get stuck and pause loading.

#5 - 11/15/2017 12:03 PM - FreeThinker

Correct, and the only relevant log message is

[EXC 21:43:04.423] ArgumentOutOfRangeException: startindex + length > this.length

Parameter name: length

System.String.Substring (Int32 startindex, Int32 length)

PartResourceDefinition.GetShortName (Int32 length)

PartResourceDefinition.Load (.ConfigNode node)

PartResourceDefinitionList.Add (.ConfigNode node)

PartResourceLibrary.LoadDefinitions ()
GameDatabase+<CreateDatabase>c__lterator4B.MoveNext ()
UnityEngine.SetupCoroutine.InvokeMoveNext (IEnumerator enumerator, IntPtr returnValueAddress)
[LOG 21:43:04.425] CodeAssetlLoader: Compiling all code assets

This bugs will not occur if you extend the translation with a random character.

Strangly the problem does not occus in all instances of a sindle character translation.

Files

KSP.log 1 MB 11/14/2017 EthanWang706
